//
//  MAViewController.m
//  MyApp
//
//  Created by Ben Syverson on 2013/4/15.
//  Copyright (c) 2013 Your Name Here. All rights reserved.
//

#import "MAViewController.h"

@interface MAViewController ()

@end

@implementation MAViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	UIWebView *aWebView = [[UIWebView alloc] initWithFrame:self.view.bounds];
	aWebView.delegate = self;
	[aWebView setOpaque:YES];
	aWebView.suppressesIncrementalRendering = YES;
	aWebView.backgroundColor = [UIColor whiteColor];
	aWebView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
	
	NSString *htmlFile = [[NSBundle mainBundle] pathForResource:@"index" ofType:@"html"];
	
	NSData *htmlData = [NSData dataWithContentsOfFile:htmlFile];
	[aWebView loadData:htmlData
							MIMEType:@"text/html"
					textEncodingName:@"UTF-8"
							 baseURL:[NSURL URLWithString:@""]];
	[self.view addSubview:aWebView];

	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



@end
